<?php
session_start();


include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

	 extract($_POST);	 echo"$listacd $pago";
$id_cd=$sesion->id;
$qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
$ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
$rrc = mysqli_fetch_row($ccc1);
$id_inv=$rrc[0];

$q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci where centro_activo=1";
$consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Facturación Mensual</label><br>
<br>Seleccione una fecha incial y una fecha final <br>haciendo click en los caledarios que se encuentran a la derecha<br>
<br></center>

<form name=\"Agrega\" action=\"facturacion.php\" method=\"post\">
<div align=\"center\">
<table width=\"357\" height=\"120\" border=\"1\">
<tr><td>Fecha Inicial:<td/>
<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" 
onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
</tr>
<tr><td>Fecha Final:<td/>
<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\"
onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
</tr>";

$q2 = "SELECT * from bancos  WHERE 1 ";
$c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta bancos' . mysqli_error($conexion));

echo"<tr><td>Banco:<td/><td><select name = \"pago\">";
  
for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
           echo"<option value=\"$a0\">$a0 $a1 $a2</option>";}
	
echo"</td></tr>
<tr><td></td><td></td><td>
<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Reporte\" />
</td></tr>
</table></div></form>";

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	if($generar=="Generar Reporte"){
	  $fecha1 =$_POST['fecha_i'];
	  $fecha2 =$_POST['fecha_f'];
	  $elpago =$_POST['pago'];
	$banki="";
	
	$vta_total=0;
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
		 $total=0;
			
			$q2 = "SELECT * from bancos  WHERE idbanco=$elpago ";
$c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta bancos' . mysqli_error($conexion));
			for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2]; 
				$banki="$a0 $a1 $a2";}
	echo"<center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>$banki</label></center><br>";

$qq2="
SELECT idbanco, pedido_real.id_prod as prod, nombreProd, sum(cant), precio FROM `transacciones` join depositos_transaccion on transacciones.idtransacciones=depositos_transaccion.idtransacciones join pedido_real on pedido_real.transacciones=transacciones.idtransacciones left join productos on productos.id_prod=pedido_real.id_prod WHERE (`tipostr_idtipostr`='10' or `tipostr_idtipostr`='11' or `tipostr_idtipostr`='6') and idbanco=\"$elpago\" and tipo=2 and fechat between \"$fecha1\" and \"$fecha2\" group by idbanco, prod ";
	     
	
	
	  $cq2 = mysqli_query($conexion, $qq2) or die ('Error en la consulta depositos ' . mysqli_error($conexion));
	
	  echo"<center><table border=\"1\"> <tr>
	<th>Id Prod</th><th>Descripción</th><th>Cantidad</th><th>Precio</th><th>Total</th>
	</tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($cq2);$i++){
	    $idprod = $r1[1];
	    
	    $cant = $r1[3];
	  
		  
		if($idprod<=999)  {
		  
		$promos="SELECT nombreProd, precio FROM productos where id_prod='$idprod'";
	
	$cal = mysqli_query($conexion, $promos) or die ('Error (Registro No Encontrado2): ' . mysqli_error($conexion));
	while($ral = mysqli_fetch_row($cal))
   {
		if($idprod!=485){
	  $nombreprod=$ral[0];
		
	 $precio1=  $ral[1];
	$totp=$precio1*$cant;
$total+=$totp;}
	};
	
	}else{
	
	
	
	
	
	$linea="SELECT promodesc, precio FROM promod where id_promo='$idprod' ";
	 $cal = mysqli_query($conexion, $linea) or die ('Error (Registro No Encontrado1): ' . mysqli_error($conexion));
   while($ral = mysqli_fetch_row($cal))
   {
	    $nombreprod=$ral[0];
		
	 $precio1=  $ral[1];
	$totp=$precio1*$cant;

$total+=$totp;
	};	  
		  }
	 //  $vta_total+=$monto;
	
	echo"
	<tr><td>$idprod</td><td align=\"center\"><b>$nombreprod</b></td><td>$cant</td><td> $precio1</td><td>$totp</td>";
	}echo"</table><br>Totales $ $total";
	
	
		
		
		
		
		
		
		
		
		
		
	}
	
?>